%define _with_doc 1

Name:          openorb-pss
Version:       1.4.0
Release:       %mkrel 3
Summary:       OpenORB Persistent State Service
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/PersistentStateService-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-pss-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
BuildRequires: openorb-ots == %{version}
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
Requires:      openorb-ots == %{version}
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Persistent State Service libraries.

%if %_with_doc
%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Persistent State Service.

This package contains javadoc for %{name}.
%endif

%prep

%setup -q -n PersistentStateService

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
 
%patch0 -p0

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java-1.5.0-gcj
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-impl avalon-framework-api avalon-logkit excalibur-configuration)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb openorb-ots)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant -v -d \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_pss-%{version}.jar %{buildroot}%{_javadir}/openorb-pss-%{version}.jar
install -m 644 lib/openorb_pss_examples-%{version}.jar %{buildroot}%{_javadir}/openorb-pss-examples-%{version}.jar

(
 cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

%if %_with_doc
mkdir -p %{buildroot}%{_javadocdir}/openorb-pss-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-pss-%{version}/
ln -s openorb-pss-%{version} %{buildroot}%{_javadocdir}/openorb-pss
%endif

%files
%{_javadir}/openorb-pss-%{version}.jar
%{_javadir}/openorb-pss.jar
%{_javadir}/openorb-pss-examples-%{version}.jar
%{_javadir}/openorb-pss-examples.jar
%doc LICENSE.txt README

%if %_with_doc
%files javadoc
%{_javadocdir}/openorb-pss-%{version}
%{_javadocdir}/openorb-pss
%endif


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-3.mga3
+ Revision: 362087
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 dmorgan <dmorgan> 1.4.0-2.mga2
+ Revision: 172424
- Fix removal of .jar files
- Fix CLASSPATH
- Build with java5

  + gil <gil>
    - rebuilt with new avalon-framework
    - imported package openorb-pss

